backward/hashtable.h File Reference

Go to the source code of this file.

## Namespaces

| __gnu_cxx

## Enumerations

enum | { _S_num_primes }

## Functions

unsigned long | __gnu_cxx::__stl_next_prime (unsigned long __n)
template<class _Val , class _Key , class _HF , class _Ex , class _Eq , class _All >
bool | __gnu_cxx::operator!= (const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht1, const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht2)
template<class _Val , class _Key , class _HF , class _Ex , class _Eq , class _All >
bool | __gnu_cxx::operator== (const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht1, const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht2)
template<class _Val , class _Key , class _HF , class _Extract , class _EqKey , class _All >
void | __gnu_cxx::swap (hashtable< _Val, _Key, _HF, _Extract, _EqKey, _All > &__ht1, hashtable< _Val, _Key, _HF, _Extract, _EqKey, _All > &__ht2)

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file backward/hashtable.h.